Skip to main content
`Ctrl`+`K`

# KSPSetSupportedNorm

Sets a norm and preconditioner side supported by a `KSPType`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPSetSupportedNorm(KSP ksp, KSPNormType normtype, PCSide pcside, PetscInt priority)

Logically Collective

## Input Parameters

- ksp - Krylov method

- normtype - supported norm type of the type `KSPNormType`

- pcside - preconditioner side, of the type `PCSide` that can be used with this `KSPNormType`

- priority - positive integer preference for this combination; larger values have higher priority

## Notes

This function should be called from the implementation files `KSPCreate_XXX()` to declare which norms and preconditioner sides are supported. Users should not call this function.

This function can be called multiple times for each combination of `KSPNormType` and `PCSide` the `KSPType` supports

## See Also

KSP: Linear System Solvers, `KSP`, `KSPNormType`, `PCSide`, `KSPSetNormType()`, `KSPSetPCSide()`

## Level

developer

## Location

src/ksp/ksp/interface/itcreate.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages